
 IF :DEF:|ads$version| 
    AREA    JumpCode, CODE, READONLY
 ELSE 
    AREA    JumpCode, CODE, READONLY, INTERWORK
 ENDIF

    IMPORT  DoNULLPointer
    IMPORT  HandleVectorUndefined
    IMPORT  HandleVectorSWI
    IMPORT  HandleVectorPrefetch
    IMPORT  HandleVectorAbort
    IMPORT  HandleVectorReserved
    IMPORT  HandleVectorIRQ
    IMPORT  HandleVectorFIQ

    CODE32


    B DoNULLPointer

    B HandleVectorUndefined

    B HandleVectorSWI

    B HandleVectorPrefetch

    B HandleVectorAbort

    B HandleVectorReserved

    B HandleVectorIRQ

    B HandleVectorFIQ

    END
